using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Charting;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        Random rand = new Random(DateTime.Now.Millisecond);
        RadChart chart = new RadChart();
        chart.ID = "RadChart1";

        for (int i = 0; i < 6; i++)
        {
            ChartSeries series = new ChartSeries();
            for (int j = 0; j < 23; j++)
            {
                series.AddItem(rand.Next(0, 100));
            }

            chart.Series.Add(series);
        }

        RadAjaxPanel1.Controls.Add(chart);
    }
}
